/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef PERFECTQE65000DRIVER_H_
#define PERFECTQE65000DRIVER_H_

#include "QE65000State.h"
#include "QE65000Driver.h"

namespace oceanoptics {

class SimulatedQE65000Driver: public QE65000State {

public:

	static const int32 DATASIZE;

	SimulatedQE65000Driver(QE65000Driver* owner);
	virtual ~SimulatedQE65000Driver();

	virtual void init();
	virtual void start();
	virtual void stop();
	virtual void readStatus();

};
}

#endif
